﻿/*
 * main.h
 *
 * Created:	Вс 11.02.24 21:58:06
 * Author:	User
 */ 

#ifndef MAIN_H_
#define MAIN_H_

/* дефайны */

#define F_CPU				16000000UL		//кварцевый резонатор для тактрирования МК на 16 МГц
#define ENCODER_STEP		1				//кол-во шагов эенкодера для сменя значения затухания
#define TEST_ATT_DELAY		750				//задержка между шагами при тесте, ms

#define BUT					PB0				//пин кнопки энкодера

#define PE_V1_set	PORTD |= (1 << PD0)		//устанавливаем лог. 1
#define PE_V1_reset PORTD &= ~(1 << PD0)	//устанавливаем лог. 0
#define PE_V2_set	PORTD |= (1 << PD1)		//устанавливаем лог. 1
#define PE_V2_reset PORTD &= ~(1 << PD1)	//устанавливаем лог. 0
#define PE_V3_set	PORTD |= (1 << PD2)		//устанавливаем лог. 1
#define PE_V3_reset PORTD &= ~(1 << PD2)	//устанавливаем лог. 0
#define PE_V4_set	PORTD |= (1 << PD3)		//устанавливаем лог. 1
#define PE_V4_reset PORTD &= ~(1 << PD3)	//устанавливаем лог. 0
#define PE_V5_set	PORTD |= (1 << PD4)		//устанавливаем лог. 1
#define PE_V5_reset PORTD &= ~(1 << PD4)	//устанавливаем лог. 0
#define PE_V6_set	PORTD |= (1 << PD5)		//устанавливаем лог. 1
#define PE_V6_reset PORTD &= ~(1 << PD5)	//устанавливаем лог. 0

/* инклюды */

#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include <avr/eeprom.h>
//#include <stdlib.h>

#include "i2c.h"
#include "oled_096_128x64.h"
#include "Float_transform.h"

#endif /* MAIN_H_ */